事件发射器

### Hierarchy

- EventEmitter

## Index

### Constructors

- constructor

### Properties

- _events
- _eventsCount
- addListener
- off

### Accessors

- prefixed

### Methods

- emit
- eventNames
- listenerCount
- listeners
- on
- once
- removeAllListeners
- removeListener

## Constructors

### constructor

- new EventEmitter(): EventEmitter

- - Defined in support/EventEmitter.ts:101

  #### Returns EventEmitter

## Properties

### _events

_events: any

- Defined in support/EventEmitter.ts:93

### _eventsCount

_eventsCount: any

- Defined in support/EventEmitter.ts:94

### addListener

addListener: any

- Defined in support/EventEmitter.ts:97

### off

off: any

- Defined in support/EventEmitter.ts:96

## Accessors

### Static prefixed

prefixed:

- Defined in support/EventEmitter.ts:99

## Methods

### emit

- emit(event: any, a1?: any, a2?: any, a3?: any, a4?: any, a5?: any): boolean

- - Defined in support/EventEmitter.ts:173

  发送事件

  #### Parameters

  - ##### event: any

  - ##### Optional a1: any

  - ##### Optional a2: any

  - ##### Optional a3: any

  - ##### Optional a4: any

  - ##### Optional a5: any

  #### Returns boolean

### eventNames

- eventNames(): any[]

- - Defined in support/EventEmitter.ts:114

  正在侦听的事件名

  #### Returns any[]

### listenerCount

- listenerCount(event: any): any

- - Defined in support/EventEmitter.ts:155

  获取侦听者数量

  #### Parameters

  - ##### event: any

  #### Returns any

### listeners

- listeners(event: any): any[]

- - Defined in support/EventEmitter.ts:137

  获取侦听者

  #### Parameters

  - ##### event: any

  #### Returns any[]

### on

- on(event: any, fn: any, context: any): any

- - Defined in support/EventEmitter.ts:231

  侦听

  #### Parameters

  - ##### event: any

  - ##### fn: any

  - ##### context: any

  #### Returns any

### once

- once(event: any, fn: any, context: any): any

- - Defined in support/EventEmitter.ts:241

  侦听一次

  #### Parameters

  - ##### event: any

  - ##### fn: any

  - ##### context: any

  #### Returns any

### removeAllListeners

- removeAllListeners(event: any): this

- - Defined in support/EventEmitter.ts:296

  移除全部侦听

  #### Parameters

  - ##### event: any

  #### Returns this

### removeListener

- removeListener(event: any, fn: any, context: any, once: any): this

- - Defined in support/EventEmitter.ts:252

  移除侦听

  #### Parameters

  - ##### event: any

  - ##### fn: any

  - ##### context: any

  - ##### once: any

  #### Returns this

Generated using TypeDoc